Bug 108758 - Cells with formula don't get deleted after undo
Summary: Cells with formula don't get deleted after undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: high major
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.0 target:5.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-06-25 11:14 UTC by Xisco Faulí
Modified: 2017-08-20 11:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-25 11:14:19 UTC
Steps to reproduce:
1. Open attachment from 134254 bug 108739
2. Select cells H:24 to J:28
3. Drag and drop them to another position
4. Undo the action

Behaviour: After the undo, some staff remains in the old cells.

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-06-25 11:15:33 UTC
Regression introduced by:

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2017-04-06 01:09:59 (GMT)
committer	Kohei Yoshida <libreoffice@kohei.us>	2017-04-13 02:39:50 (GMT)
commit	6d588e65021ad3d00a91a2732b2a6cf4c59b3534 (patch)
tree	a89812f2ba41ebdb8626f253b36f005015a52cb9
parent	b9573789b5f47d67e4cb881aaa0fbdb3cb25fb31 (diff)
tdf#92650: handle overwritten references correctly in undo.

Bisected with bibisect-linux-64-5.4

Adding Cc: to Kohei Yoshida
Comment 2 Xisco Faulí 2017-06-26 11:35:58 UTC
File is attachment 134254 [details]
Comment 3 Dennis Francis 2017-07-13 06:29:02 UTC
Submitted a patch for review @ https://gerrit.libreoffice.org/39883
Comment 4 Commit Notification 2017-07-13 15:26:33 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2caaf9bfe8d3f81517467daf36de0bd8ddd6b543

tdf#108758 : do not write to undo document when...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-14 07:21:33 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=520a5a8a21e986355e4f7f5e8b5bddecb00a34d9&h=libreoffice-5-4

tdf#108758 : do not write to undo document when...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-07-14 07:23:55 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=951af0302f60dfd5fc082552d85d8ddb522fc5a2&h=libreoffice-5-3

tdf#108758 : do not write to undo document when...

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-07-21 09:25:29 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=beb7e49e6906c5f2bbe18c87a70a47b57dd4cb2f&h=libreoffice-5-4-0

tdf#108758 : do not write to undo document when...

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-07-30 19:24:17 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf5408650e76bf7a285152fa32fea6562403dd31&h=libreoffice-5-3-5

tdf#108758 : do not write to undo document when...

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.